function [ pts ] = evenPointsDouble( n,m,p )
%EVENPOINTSDOUBLE Returns a vector of logarithmically distributed numbers.
%
%   [ pts ] = evenPointsDouble( n,m,p ) returns a vector of p logarithmically
%     distributed numbers starting with n and ending with m.

pts=logspace(log10(n),log10(m),p);
pts(1)=n;
pts(end)=m;
end

