%This is a script to set the visibilities and enables for the objects in
%the kappa_SQ gui.  This script is used by kappa_SQ_V3.m

disableConfInp=true; %This will be released in a future version



if handles.inputsNeeded.li || handles.fromFileYN
    set(handles.liDistInput,'Visible','on');
    set(handles.liText,'Visible','on')
    set(handles.liDistInput,'Enable','on')
else
    set(handles.liDistInput,'Visible','off');
    set(handles.liText,'Visible','off')
    set(handles.liDistInput,'Enable','off')
end

if handles.inputsNeeded.Q
    set(handles.mtxGenInput,'Visible','on')
    set(handles.mtxGenText,'Visible','on')
else
    set(handles.mtxGenInput,'Visible','off')
    set(handles.mtxGenText,'Visible','off')
end

if handles.inputsNeeded.mu || handles.fromFileYN
    set(handles.muInput,'Visible','on')
    set(handles.muText,'Visible','on')
else
    set(handles.muInput,'Visible','off')
    set(handles.muText,'Visible','off')
end

if handles.fromFileYN
    set(handles.matFileListbox,'Visible','on')
    set(handles.fileText,'Visible','on')
    set(handles.varNameText,'Visible','on')
    set(handles.varNameInput,'Visible','on')
    set(handles.muInput,'String','From File');
    set(handles.mInput,'String','From File');
    set(handles.nInput,'String','From File');
    set(handles.muInput,'Enable','off');
    set(handles.mInput,'Enable','off');
    set(handles.nInput,'Enable','off');
else
    set(handles.matFileListbox,'Visible','off')
    set(handles.fileText,'Visible','off')
    set(handles.varNameText,'Visible','off')
    set(handles.varNameInput,'Visible','off')
    set(handles.muInput,'Enable','on');
    set(handles.mInput,'Enable','on');
    set(handles.nInput,'Enable','on');
    set(handles.plotButton,'Enable','on')
end

if ~isempty(get(handles.experimentListbox,'Value'))
    set(handles.runsInput,'Visible','on')
    set(handles.runsText,'Visible','on')
    set(handles.runsInput,'Enable','on')
    set(handles.failConfidenceInput,'Enable','on')
%     set(handles.failConfidenceText,'Visible','on')
%     set(handles.failConfidenceInput,'Visible','on')
    set(handles.plotConfIntChk,'Visible','on')
if get(handles.plotConfIntChk,'Value')
    set(handles.failConfidenceText,'Visible','on')
    set(handles.failConfidenceInput,'Visible','on')
    if ~disableConfInp
        set(handles.impConfCheckBox,'Visible','on')
    end
else
    set(handles.failConfidenceText,'Visible','off')
    set(handles.failConfidenceInput,'Visible','off')
    set(handles.impConfCheckBox,'Visible','off')
end
else
    set(handles.runsInput,'Visible','off')
    set(handles.runsText,'Visible','off')
    set(handles.runsInput,'Enable','off')
    set(handles.failConfidenceInput,'Enable','off')
    set(handles.failConfidenceText,'Visible','off')
    set(handles.failConfidenceInput,'Visible','off')
    set(handles.plotConfIntChk,'Visible','off')
    set(handles.impConfCheckBox,'Visible','off')
end

if ~isempty(get(handles.boundListbox,'Value'))
    set(handles.deltaInput,'Visible','on')
    set(handles.deltaText,'Visible','on')
    set(handles.deltaInput,'Enable','on')
else
    set(handles.deltaInput,'Visible','off')
    set(handles.deltaText,'Visible','off')
    set(handles.deltaInput,'Enable','off')
end
set(handles.prettyPlots,'Enable','on')
set(handles.boundListbox,'Enable','on')
set(handles.batchButton,'Enable','on')
set(handles.experimentListbox,'Enable','on')
set(handles.varNameInput,'Enable','on')
set(handles.mtxGenInput,'Enable','on')
set(handles.matFileListbox,'Enable','on')
set(handles.cInput,'Enable','on');
%Do this last!!!!!!!!!!
if handles.fromFileYN
    matFileListbox_Callback(handles.matFileListbox, eventdata, handles);
end


if disableConfInp
    set(handles.impConfCheckBox,'Visible','off')
    set(handles.impConfCheckBox,'Value',0)
end


drawnow;
% set(handles.mInput,'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725]) %I don't know why the color keeps changing
% set(handles.nInput,'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725]) %It happens when 'Enable' is set to off
% set(handles.cInput,'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725]) %This code doesn't fix the problem
% set(handles.muInput,'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725])
% set(handles.deltaInput,'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725])
% set(handles.runsInput,'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725])
